%global debug_package %{nil}
%global srctag ippcp_2021.8
%global mbx_int_major 11
%global mbx_int_minor 8
%global desc %{expand: \
Crypto multi-buffer library provides optimized version of RSA, ECDSA, SM3 and
x25519 multi-buffer algorithms based on Intel Advanced Vector Extensions 512
(Intel AVX-512) integer fused multiply-add (IFMA) operations.}

Name:		intel-ipp-crypto-mb
Version:	1.0.8
Release:    1%{?dist}
Summary:	Intel IPP Cryptography multi-buffer library

License:	Apache-2.0
URL:		https://github.com/intel/ipp-crypto
Source0:	%{url}/archive/%{srctag}/%{name}-%{srctag}.tar.gz

ExclusiveArch:	x86_64

BuildRequires:	cmake
BuildRequires:	gcc
BuildRequires:	gcc-c++
BuildRequires:	openssl-devel >= 1.1.0

%description
%{desc}

%package devel
Summary: Development files for %{name}
Provides:	%{name}-static = %{version}-%{release}
Requires:	%{name} = %{version}-%{release}

%description devel %{desc}

Development files.

%package static
Summary: Static libraries for %{name} development
Requires:	%{name} = %{version}-%{release}

%description static %{desc}

Static library.

%prep
%autosetup -n ipp-crypto-%{srctag}
sed -i 's/"lib\"/"lib64"/g' sources/ippcp/crypto_mb/src/CMakeLists.txt

%build
pushd sources/ippcp/crypto_mb
%cmake \
	-DARCH=intel64 \
	-DMERGED_BLD:BOOL=off
%cmake_build
popd

%install
pushd sources/ippcp/crypto_mb
%cmake_install
popd


%files
%license LICENSE
%doc sources/ippcp/crypto_mb/Readme.md
%{_libdir}/libcrypto_mb.so.%{mbx_int_major}
%{_libdir}/libcrypto_mb.so.%{mbx_int_major}.%{mbx_int_minor}

%files devel
%{_includedir}/crypto_mb
%{_libdir}/libcrypto_mb.so

%files static
%license LICENSE
%{_libdir}/libcrypto_mb.a

%changelog
* Fri Apr 12 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.0.8-1
- initial build
